* This file creates the dataset used to test the codes. It uses data from: 
* "ELICITING RISK AND TIME PREFERENCES"
* by Steffen Andersen, Glenn W. Harrison, Morten I. Lau, And E. Elisabet Rutström1
* Econometrica, 2008

* Load the original dataset used by Andersen et. al. (Stata file "tmp.dta" in their replication files)
 use AHLR2008_DATA.dta, clear

* Keep only the observations related with risk elicitation
keep if ra==1

* Keep only the following variables 
keep id old Vprizea1 Vprizea2 Vprizeb1 Vprizeb2 RowProbA choices

* Rename
rename Vprizea1 X1
rename Vprizea2 X2
rename Vprizeb1 Y1
rename Vprizeb2 Y2
rename RowProbA P
rename old OLD
rename choices CHOICE

* Relabel
label variable id "ID"
label variable X1 "Payoff of lottery X in outcome 1"
label variable X2 "Payoff of lottery X in outcome 2"
label variable Y1 "Payoff of lottery Y in outcome 1"
label variable Y2 "Payoff of lottery Y in outcome 2"
label variable P  "Probability of outcome 1 in both lotteries"
label variable CHOICE "Chosen lottery (1 if choose Y, 0 if choose X)"
label define Lottery 0 "X" 1 "Y"
label values CHOICE Lottery

* Save and replace
save TestData.dta, replace

* Export to Excel
export excel using "TestData", firstrow(variables) nolabel replace
